All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Copy Wrap Border
Image Copy Operations

Methods for copying images and padding borders with wrapped replications of the source image pixel colors. More...

## Functions

NppStatus | nppiCopyWrapBorder_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected. More...
NppStatus | nppiCopyWrapBorder_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected. More...
NppStatus | nppiCopyWrapBorder_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected. More...
NppStatus | nppiCopyWrapBorder_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_32s_C1R_Ctx (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 1 channel 32-bit signed integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_32s_C1R (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_32s_C3R_Ctx (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 3 channel 32-bit signed integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_32s_C3R (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_32s_C4R_Ctx (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_32s_C4R (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_32s_AC4R_Ctx (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected. More...
NppStatus | nppiCopyWrapBorder_32s_AC4R (const Npp32s *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image copy with the borders wrapped by replication of source image pixel colors. More...
NppStatus | nppiCopyWrapBorder_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)
NppStatus | nppiCopyWrapBorder_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected. More...
NppStatus | nppiCopyWrapBorder_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSizeROI, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, int nTopBorderHeight, int nLeftBorderWidth)

## Detailed Description

Methods for copying images and padding borders with wrapped replications of the source image pixel colors.

### Common parameters for nppiCopyWrapBorder functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSizeROI | Size of the source region of pixels.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oDstSizeROI | Size (width, height) of the destination region, i.e. the region that gets filled with data from the source image (inner part) and a border consisting of wrapped replication of the source image pixel colors (outer part).
  nTopBorderHeight | Height (in pixels) of the top border. The number of pixel rows at the top of the destination ROI that will be filled with the wrapped replication of the corresponding column of source image pixels colors. nBottomBorderHeight = oDstSizeROI.height - nTopBorderHeight - oSrcSizeROI.height.
  nLeftBorderWidth | Width (in pixels) of the left border. The width of the border at the right side of the destination ROI is implicitly defined by the size of the source ROI: nRightBorderWidth = oDstSizeROI.width - nLeftBorderWidth - oSrcSizeROI.width.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopyWrapBorder_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_32s_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_32s_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit signed integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_32s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit signed integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_32s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

NppStatus nppiCopyWrapBorder_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth
| ) |  |

NppStatus nppiCopyWrapBorder_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSizeROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | int | nTopBorderHeight,
|  | int | nLeftBorderWidth,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer image copy with the borders wrapped by replication of source image pixel colors.

For common parameter descriptions, see Common parameters for nppiCopyWrapBorder functions.

Copyright © 2009-2020 NVIDIA Corporation